All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet
Class HTMLPortletAction

    com.sas.portal.portlet.HTMLPortletAction

All Implemented Interfaces:
  PortletActionInterface, java.io.Serializable

Direct Known Subclasses:
  JspPortlet

    public abstract class HTMLPortletAction

This action can be extended to use with HTML portlets. The `service()` method calls `response.setContentType("text/html;charset=UTF-8")`so that non-Latin1 languages render via UTF-8. 22Feb2010 NOTE NOTE NOTE - this is used by non-Portal code... must remain``

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.portal.portlet.DefaultPortletAction
`_actionInfo`

Constructor Summary
`HTMLPortletAction()`

Method Summary
`java.lang.String` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortletContext context)` Extend this method and call `super()` first.

Methods inherited from class com.sas.portal.portlet.DefaultPortletAction
`getInfo, setInfo`

Constructor Detail

### HTMLPortletAction

    public HTMLPortletAction()

Method Detail

### service

    public java.lang.String service(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortletContext context)
                             throws java.lang.Exception

  Extend this method and call `super()` first. Assure that you return a non-null String representing the URL for the portlet. Typically this is the name of the JSP without any path (e.g. "Foo.jsp"). In this class, this method returns null.

  Specified by:
    `service` in interface `PortletActionInterface`
  Overrides:
    `service` in class `DefaultPortletAction`
  Parameters:
    `request` - The HttpServletRequest
    `response` - The HttpServletResponse
    `context` - The PortletContext
  Returns:
    the URL for the portlet
  Throws:
    `java.lang.Exception` - if anything went wrong
  See Also:
    `PortletActionInterface.service(HttpServletRequest, HttpServletResponse, PortletContext)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.